[![pypi](https://img.shields.io/pypi/v/corkit)](https://pypi.org/project/corkit)
![status](https://img.shields.io/badge/status-beta-red.svg)
[![license](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![code-style](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
![CI](https://github.com/Jorgedavyd/CorKit/actions/workflows/CI.yml/badge.svg)
![CD](https://github.com/Jorgedavyd/CorKit/actions/workflows/CD.yml/badge.svg)

<div align="center">
  <h1>CorKit</h1>
  <p>
    <img src="docs/source/logo.png" align="center" alt="Logo" />
  </p>
  <p>
    Coronagraph Science Kit
  </p>
</div>

**CorKit** is an open-source Python library designed to streamline the
retrieval and preprocessing of solar coronagraph data. Its primary aim
is to democratize access to coronagraph data, enabling a broader community
of solar scientists to engage in research without the need for proprietary
software like IDL. It's derived from [Solarsoft](https://www.lmsal.com/solarsoft/):

<p align="center">
  <img src="https://github.com/Jorgedavyd/CorKit/raw/main/docs/examples/c2.png" height = 250 width = 500 />
</p>

## Key Features:

1. **Open Source Accessibility**: **CorKit** removes barriers to entry by providing
free access to solar coronagraph data. Its open-source nature ensures that researchers,
educators, and enthusiasts can easily retrieve and analyze data without worrying about
proprietary software licenses.

2. **User-Friendly Interface**: With simple and intuitive methods, **CorKit** makes it
effortless for users to retrieve and preprocess coronagraph data. This user-centric
approach allows researchers to focus more on their scientific analysis and less on
navigating complex data retrieval processes.

3. **Advancing Solar Science**: By empowering researchers with the tools needed to
preprocess and analyze coronagraph data, **CorKit** contributes to the advancement of
solar science. Researchers can explore the intricate connections between the Sun and Earth,
leading to new insights and discoveries.

4. **Community Collaboration**: **CorKit** fosters collaboration and knowledge sharing
within the solar science community. By providing a common platform for data access and
preprocessing, the library encourages interdisciplinary collaborations and accelerates
scientific progress.

## Coronagraph data supported
<img src="https://upload.wikimedia.org/wikipedia/commons/thumb/d/db/Stereo_logo.gif/1200px-Stereo_logo.gif" width="250" height="250" /> <img src="https://lh3.googleusercontent.com/proxy/nmkWepffX0H_sXrshPqxptfie-ye5kIyXB4i4DaEQVNFWOlQrItda76oLU9wtfnzv6DRR5i0xIxSrw_9S2zTPJat4tMCNENyXjxjQR5P" width="250" height="250" />

## Contact

- [Linkedin](https://www.linkedin.com/in/jorge-david-enciso-mart%C3%ADnez-149977265/)
- Email: jorged.encyso@gmail.com
- [GitHub](https://github.com/Jorgedavyd)

## Acknowledgements

This project was inspired by the work of researchers in the field of coronagraphy. We would like to thank the contributors to [SolarSoft](https://www.lmsal.com/solarsoft/) for their foundational work in this area.

## License

This project is licensed under the MIT License - see the [LICENSE](https://raw.githubusercontent.com/Jorgedavyd/CorKit/main/LICENSE) file for details.

## Citation

```
@misc{corkit,
  author = {Jorge Enciso},
  title = {Corkit: An Open-Source Coronagraph Data Downloader and Calibrator},
  howpublished = {\url{https://github.com/Jorgedavyd/CorKit}},
  year = {2024}
}
```
